#ifndef BMP_STOCK_HPP
#define BMP_STOCK_HPP

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

// Stock icons
#  define BMP_STOCK_LIBRARY         "bmp-stock-library"
#  define BMP_STOCK_STREAMS         "bmp-stock-streams"
#  define BMP_STOCK_ABOUT           "bmp-stock-about"
#  define BMP_STOCK_PREFERENCES     "bmp-stock-preferences"
#  define BMP_STOCK_BOOKMARKS       "bmp-stock-bookmarks"
#  define BMP_STOCK_XIPH            "bmp-stock-xiph"
#  define BMP_STOCK_SHOUTCAST       "bmp-stock-shoutcast"
#  define BMP_STOCK_MUSICBRAINZ     "bmp-stock-musicbrainz"
#  define BMP_STOCK_AMAZON          "bmp-stock-amazon"
#  define BMP_STOCK_SEARCH          "bmp-stock-search"
#  define BMP_STOCK_TACHIKOMA       "bmp-stock-tachikoma"
#  define BMP_STOCK_TAG             "bmp-stock-tag"
#  define BMP_STOCK_AUDIO           "bmp-stock-audio"
#  define BMP_STOCK_PLAYLIST        "bmp-stock-playlist"
#  define BMP_STOCK_EDIT_ALBUM      "bmp-stock-edit-album"
#  define BMP_STOCK_MOVE_ALBUM      "bmp-stock-move-album"
#  define BMP_STOCK_ADD_MUSIC       "bmp-stock-add-music"
#  define BMP_STOCK_REMOVE_MUSIC    "bmp-stock-remove-music"
#  define BMP_STOCK_MEDIA_PLAY      "bmp-stock-media-play"
#  define BMP_STOCK_MEDIA_STOP      "bmp-stock-media-stop"
#  define BMP_STOCK_MEDIA_PAUSE     "bmp-stock-media-pause"
#  define BMP_STOCK_ADD             "bmp-stock-add"
#  define BMP_STOCK_DELETE          "bmp-stock-delete"
#  define BMP_STOCK_PLUGIN          "bmp-stock-plugin"
#  define BMP_STOCK_PLUGIN_DISABLED "bmp-stock-plugin-disabled"
#  define BMP_STOCK_LASTFM          "bmp-stock-lastfm"
#  define BMP_STOCK_APPROVE         "bmp-stock-approve"
#  define BMP_STOCK_DOWNLOAD        "bmp-stock-download"
#  define BMP_STOCK_XFER_UP         "bmp-stock-xfer-up"
#  define BMP_STOCK_XFER_DOWN       "bmp-stock-xfer-down"

#ifdef HAVE_GAIM
#  define BMP_STOCK_GAIM_OSCAR      "bmp-stock-gaim-oscar"
#  define BMP_STOCK_GAIM_GADU       "bmp-stock-gaim-gadu"
#  define BMP_STOCK_GAIM_JABBER     "bmp-stock-gaim-jabber"
#  define BMP_STOCK_GAIM_MSN        "bmp-stock-gaim-msn"
#  define BMP_STOCK_GAIM_NAPSTER    "bmp-stock-gaim-napster"
#  define BMP_STOCK_GAIM_YAHOO      "bmp-stock-gaim-yahoo"
#  define BMP_STOCK_GAIM_ZEPHYR     "bmp-stock-gaim-zephyr"
#  define BMP_STOCK_GAIM            "bmp-stock-gaim"
#endif

#ifdef HAVE_MOOD
#  define BMP_STOCK_MUSEEK          "bmp-stock-museek"
#endif

namespace Bmp
{
  void register_stock_icons ();
}

#endif
