#ifndef BMP_PLUGIN_FLOW__BASE_HPP 
#define BMP_PLUGIN_FLOW__BASE_HPP 

#include <glibmm.h>
#include <gtkmm.h>

namespace Bmp
{
  typedef unsigned int RGUID;

  namespace Plugin
  {
      class FlowBase
      {

        public:

          FlowBase () {};
          virtual ~FlowBase () = 0;

          virtual bool 
          next (Glib::RefPtr<Gtk::ListStore> store, Gtk::TreeModel::iterator& iter) = 0;
          virtual bool 
          prev (Glib::RefPtr<Gtk::ListStore> store, Gtk::TreeModel::iterator& iter) = 0;

          virtual void
          reset () = 0; 

      }; // class:FlowBase 

  } // ns:Plugin

} // ns:Bmp
  
#endif
