#ifndef BMP_GUID_HPP
#define BMP_GUID_HPP

#include <glibmm.h>
#include <glib.h>

G_BEGIN_DECLS

struct RowGUID
{
  guint   counter;
  guint   hash;
};

bool
row_guid_equal_func   (RowGUID *guid_a, RowGUID *guid_b);

unsigned int
row_guid_hash_func    (RowGUID *guid);

RowGUID*
row_guid_copy     (RowGUID *guid);

void
row_guid_free     (RowGUID *guid);

GType
row_guid_get_type ();

RowGUID*
row_guid_new      ();

#define BMP_TYPE_ROW_GUID (row_guid_get_type ())
#define ROW_GUID(guid) ((RowGUID*)(guid))

G_END_DECLS

#endif
